<ion-view view-title="Courts" cache-view="true">
  <ion-nav-buttons side="right">
    <button class="button button-icon icon ion-ios-search-strong" ng-click="toggleSearchBar()"></button>
    <button class="button button-icon icon ion-log-out" ng-click="logout()"></button>
  </ion-nav-buttons>
  <ion-content>
    <!-- <ion-refresher on-refresh="doRefresh()"></ion-refresher> -->
    <div id="searchContainer" ng-hide="searchBar">
      <div class="list list-inset" id="search">
        <label class="item item-input">
          <i class="icon ion-search placeholder-icon"></i>
          <!-- <input type="text" placeholder="Search Locations" ng-model="searchCourt" ng-change="filterCourts(searchCourt)"> -->
          <input type="text" placeholder="Search Locations" id="searchCourtInput">
        </label>
      </div>
    </div>
    <div class="court-view-container">
      <div class="court-view-container-buttons">
        <button class="button map-view active" angular-ripple ng-click="switchView('map')">Map View</button>
        <button class="button list-view" angular-ripple ng-click="switchView('list')">List View</button>
      </div>
    </div>
    <ng-map zoom="{{zoom}}" center="[{{userLocation.lat}}, {{userLocation.lng}}]" styles="{{mapStyle()}}" id="mapContainer">
      <marker position="[{{userLocation.lat}}, {{userLocation.lng}}]" icon="http://maps.google.com/mapfiles/ms/micons/man.png"
        title="You are here" animation="Animation.BOUNCE"></marker>
      <marker position="[{{court.lat}}, {{court.lng}}]" title="{{court.name}}" icon="{{court.booked == '1' && 'http://res.cloudinary.com/techninjas/image/upload/v1506759743/marker_re8dnm.png' || 'http://res.cloudinary.com/techninjas/image/upload/v1508730339/marker_off_wovrpt.png'}}"
      ng-repeat="court in courts track by $index" on-click="showDetails(event, court)" ng-attr-id="{{court.$id}}"></marker>
      <info-window id="infoWindowID">
        <div ng-non-bindable="">
          <div class="court-description">
            <h3>{{court.name}}</h3>
            <img ng-src="{{court.imageUrl}}" />
            <!--<p>Game Type: 3 vs 3</p>-->
            <p class="open_hours">
              <i class="icon ion-ios-clock-outline "></i> Opening hours:
              <br/>
              <span class="fromTime">from : {{court.open_hours_start}}</span>
              <br/>
              <span class="toTime"> to: {{court.open_hours_end}} </span>
            </p>
            <p class="contact_number">
              <i class="icon ion-iphone"></i>
              <span>{{court.contact}}</span>
            </p>
          </div>
          <div class="link-container">
            <div class="link-inner-container">
              <a ng-click="viewBookedGames(court.$id)">
                <i class="icon ion-ios-basketball-outline"></i> Book Games</a>
              <!--<a href="#/menu/court/{{court.$id}}">Add Game</a>-->
              <a ng-click="showDirection([court.lat, court.lng])">
                <i class="icon ion-ios-navigate-outline"></i> Directions</a>
            </div>

      </info-window>
      <directions ng-if="destination.lat !== '' && destination.lng !== ''" draggable="true" panel="directions-panel" travel-mode="DRIVING" origin="{{userLocation}}"
        destination="{{destination}}">
      </directions>
    </ng-map>
  </ion-content>
</ion-view>

